javax.sound.sampled

## Class LineUnavailableException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.sound.sampled.LineUnavailableException

- All Implemented Interfaces:
    Serializable

      public class LineUnavailableException
      extends Exception

  A `LineUnavailableException` is an exception indicating that a line cannot be opened because it is unavailable. This situation arises most commonly when a requested line is already in use by another application.
  Since:
    1.3
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LineUnavailableException()` Constructs a `LineUnavailableException` that has `null` as its error detail message.
    `LineUnavailableException(String message)` Constructs a `LineUnavailableException` that has the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LineUnavailableException

          public LineUnavailableException()

      Constructs a `LineUnavailableException` that has `null` as its error detail message.

    - #### LineUnavailableException

          public LineUnavailableException(String message)

      Constructs a `LineUnavailableException` that has the specified detail message.
      Parameters:
        `message` - a string containing the error detail message

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.